summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulian Ospald <hasufell@gentoo.org>2015-08-13 17:41:01 +0200
committerJulian Ospald <hasufell@gentoo.org>2015-08-13 17:41:01 +0200
commit48ebe1fd72b5036a0f3416d390a9f398c10835f4 (patch)
tree6dd95fe9fbc34f503de12a15e180a14f909b17df /games-roguelike/stone-soup
parentgames-roguelike/stone-soup: rm old (diff)
downloadgentoo-48ebe1fd72b5036a0f3416d390a9f398c10835f4.tar.gz
gentoo-48ebe1fd72b5036a0f3416d390a9f398c10835f4.tar.bz2
gentoo-48ebe1fd72b5036a0f3416d390a9f398c10835f4.zip
games-roguelike/stone-soup: version bump to 0.16.2
Diffstat (limited to 'games-roguelike/stone-soup')
-rw-r--r--games-roguelike/stone-soup/Manifest1
-rw-r--r--games-roguelike/stone-soup/files/stone-soup-0.16.2-Use-pkg-config-for-linking-to-ncurses.patch49
-rw-r--r--games-roguelike/stone-soup/files/stone-soup-0.16.2-respect-flags-and-compiler.patch110
-rw-r--r--games-roguelike/stone-soup/stone-soup-0.16.2.ebuild145
4 files changed, 305 insertions, 0 deletions
diff --git a/games-roguelike/stone-soup/Manifest b/games-roguelike/stone-soup/Manifest
index a2a980006d3..8d112d3d963 100644
--- a/games-roguelike/stone-soup/Manifest
+++ b/games-roguelike/stone-soup/Manifest
@@ -2,3 +2,4 @@ DIST stone-soup.png 1351 SHA256 486da51db277817f6fa59c32b131fa4d50cace7d8c9a8499
DIST stone-soup.svg 68546 SHA256 f2b476f57f6e8a9b56bc20ec2da0accac9376fea1ff3e4dbe59e7f2f231eb071 SHA512 dca555271faf704eb8ecdf5ee8a763df42cdeba94e9c163608c438cfc73c6fbf53416547050cad57f477ade191842e701785b65b7a9f18e27ceab05df8f2f75f WHIRLPOOL 49b7e0ca45319b2f016203e02b1e08207e9f0c18501b17f5922f1983fbb6bfabc12a9ca3199697f78561739e253f200bfbe984082bb99e1c8e289e5c41004bed
DIST stone_soup-0.14.2-nodeps.tar.xz 8843692 SHA256 3f70687690b6dbb427d86eb21b1c65894846526fe20553cabec172ca6bae79bf SHA512 d852a85ce07dff41ad4c5a611e9b21fa30be6db80b72b0e434baad8d449ecfa554e981209389a79e68aa9418c00972a6cf8098bfecdc847750e0ab3fc99e3f70 WHIRLPOOL 8ff166e43d6e99426135575be470645aab34838db871f0b3ce2fd0c8434466e7d9f8bb02d8d0a7e5a5f313c2673856944f4c6dac49c9377f65fe43b1cf90ce9b
DIST stone_soup-0.16.1.tar.xz 27835264 SHA256 c3cca203dd7473759648cf225648787e1db687ac8c614293c4faae561fd20242 SHA512 d77dfc2483d309b4bfddd6736c0974825944e36d2c582fc9e133a6a4cc8287200a3207355536b54cb079fd0a0134706f2b4a42b7d5ceecc4a7e23da7d2c3ba07 WHIRLPOOL 882546716037576b77e285a7fdc2f59af032dd034532fe7f82ddc09c4e9000150b8dbf00c6e684b6c21482d810056a2cbf1667be6e84aa08678e1427785fed14
+DIST stone_soup-0.16.2.tar.xz 27843008 SHA256 49d5947abb341eb7f0590fa538c475e68ea954064c615d852de968211b68780b SHA512 fc48a1161028fbfc3c1b91bf717ffdeb761dc03a12aa8282f2235fe86368de343dd91ee33371fe4f682f4f84a8fc339d6984b6357527c3cf0c4139cb69cd5633 WHIRLPOOL 2016018e438e857031c382e53e904126efd7006a1da4b954b3b5eb4f5a9263e8535e7300fa8f54f8a870bf99b362cc0bdda630ea562e2f786e3d88c5b38d0c54
diff --git a/games-roguelike/stone-soup/files/stone-soup-0.16.2-Use-pkg-config-for-linking-to-ncurses.patch b/games-roguelike/stone-soup/files/stone-soup-0.16.2-Use-pkg-config-for-linking-to-ncurses.patch
new file mode 100644
index 00000000000..5ca192d3c92
--- /dev/null
+++ b/games-roguelike/stone-soup/files/stone-soup-0.16.2-Use-pkg-config-for-linking-to-ncurses.patch
@@ -0,0 +1,49 @@
+From 88579f929f0fc777762de1ad0895264ad077e0ee Mon Sep 17 00:00:00 2001
+From: hasufell <hasufell@gentoo.org>
+Date: Mon, 27 Oct 2014 20:48:03 +0100
+Subject: [PATCH 2/2] Use pkg-config for linking to ncurses
+
+Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=527034
+---
+ source/Makefile | 14 ++++++--------
+ 1 file changed, 6 insertions(+), 8 deletions(-)
+
+diff --git a/source/Makefile b/source/Makefile
+index df51e70..2db2781 100644
+--- a/source/Makefile
++++ b/source/Makefile
+@@ -956,17 +956,15 @@ endif
+ # Your ncurses library may include Unicode support, and you may not have a
+ # separate libncursesw; this is the case on Mac OS/Darwin.
+ ifdef LIBNCURSES_IS_UNICODE
+-NC_LIB = ncurses
+-NC_INCLUDE = $(NC_PREFIX)/include/ncurses
++NC_LIBS = $(shell $(PKGCONFIG) --lib ncurses 2>/dev/null || echo "-L$(NC_PREFIX)/lib -lncurses")
++NC_CFLAGS = $(shell $(PKGCONFIG) --cflags ncurses 2>/dev/null || echo "-isystem $(NC_PREFIX)/include/ncurses")
+ else
+-NC_LIB = ncursesw
+-NC_INCLUDE = $(NC_PREFIX)/include/ncursesw
++NC_LIBS = $(shell $(PKGCONFIG) --lib ncursesw || echo "-L$(NC_PREFIX)/lib -lncursesw")
++NC_CFLAGS = $(shell $(PKGCONFIG) --cflags ncursesw 2>/dev/null || echo "-isystem $(NC_PREFIX)/include/ncursesw")
+ endif
+
+-INCLUDES_L += -isystem $(NC_INCLUDE)
+-
+ ifndef TILES
+-LIBS += -L$(NC_PREFIX)/lib -l$(NC_LIB)
++LIBS += $(NC_LIBS)
+ endif
+
+ endif
+@@ -1111,7 +1109,7 @@ CFLAGS := $(CFOPTIMIZE) $(CFOTHERS) $(CFWARN) $(CFLAGS)
+ else
+ CFLAGS := $(CFOPTIMIZE) $(CFOTHERS) $(CFWARN)
+ endif
+-CFLAGS_L := $(CFOPTIMIZE_L) $(DEFINES_L) $(CFWARN_L) $(INCLUDES_L) $(CFOTHERS_L)
++CFLAGS_L := $(CFOPTIMIZE_L) $(DEFINES_L) $(CFWARN_L) $(INCLUDES_L) $(CFOTHERS_L) $(NC_CFLAGS)
+ ALL_CFLAGS := $(CFLAGS) $(CFLAGS_L)
+ YACC_CFLAGS := $(ALL_CFLAGS) -Wno-unused-function -Wno-sign-compare -DYYENABLE_NLS=0 -DYYLTYPE_IS_TRIVIAL=0
+
+--
+2.1.2
+
diff --git a/games-roguelike/stone-soup/files/stone-soup-0.16.2-respect-flags-and-compiler.patch b/games-roguelike/stone-soup/files/stone-soup-0.16.2-respect-flags-and-compiler.patch
new file mode 100644
index 00000000000..bf07f4e07ed
--- /dev/null
+++ b/games-roguelike/stone-soup/files/stone-soup-0.16.2-respect-flags-and-compiler.patch
@@ -0,0 +1,110 @@
+From aaa7cde91e4b086164f0c7f46569a34bfbb4e479 Mon Sep 17 00:00:00 2001
+From: hasufell <hasufell@gentoo.org>
+Date: Sun, 3 May 2015 15:05:43 +0200
+Subject: [PATCH] Respect flags and compiler
+
+---
+ Makefile | 5 ++---
+ rltiles/Makefile | 22 +++++++++++-----------
+ 2 files changed, 13 insertions(+), 14 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index 8b9efd9..0f37edf 100644
+--- a/Makefile
++++ b/Makefile
+@@ -103,7 +103,7 @@ include Makefile.obj
+ #
+
+
+-CFOTHERS := -pipe $(EXTERNAL_FLAGS)
++CFOTHERS := $(EXTERNAL_FLAGS)
+ CFWARN :=
+ CFWARN_L := -Wall -Wformat-security -Wundef
+
+@@ -809,7 +809,6 @@ ifdef FULLDEBUG
+ DEFINES += -DFULLDEBUG
+ endif
+ ifdef DEBUG
+-CFOTHERS := -ggdb $(CFOTHERS)
+ DEFINES += -DDEBUG
+ endif
+ ifndef NOWIZARD
+@@ -1627,7 +1626,7 @@ ifdef ANDROID
+ # prove that tiles were generated properly
+ grep tile_info rltiles/*.cc| head
+ else
+- +$(MAKE) -C $(RLTILES) all ARCH=$(ARCH) TILES=$(TILES)$(WEBTILES)
++ $(MAKE) -C $(RLTILES) all V=$(V) ARCH=$(ARCH) DEBUG=$(DEBUG) TILES=$(TILES)$(WEBTILES)
+ endif
+
+ $(TILEDEFSRCS) $(TILEDEFHDRS) $(ORIGTILEFILES): build-rltiles
+diff --git a/rltiles/Makefile b/rltiles/Makefile
+index ae11f43..464424f 100644
+--- a/rltiles/Makefile
++++ b/rltiles/Makefile
+@@ -1,7 +1,7 @@
+ uname_S := $(shell uname -s)
+
+ ifneq (,$(findstring MINGW,$(uname_S)))
+-LDFLAGS += -lmingw32
++LIBS += -lmingw32
+ endif
+
+ # Note: since generation of tiles is done on the host, we don't care about
+@@ -10,7 +10,7 @@ endif
+ # Also, cross-compilation with no system libraries for host rather than target
+ # is not supported. If host=target, contribs are enough.
+
+-CFLAGS := -O2 -g -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
++CXXFLAGS := -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
+
+ ifdef ANDROID
+ CXXFLAGS :=
+@@ -27,24 +27,24 @@ ifdef TILES
+ PNG_LIB := ../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a
+ endif
+
+- CFLAGS += $(PNG_INCLUDE)
+- LDFLAGS += $(PNG_LIB)
++ CXXFLAGS += $(PNG_INCLUDE)
++ LIBS += $(PNG_LIB)
+
+- CFLAGS += -DUSE_TILE
++ CXXFLAGS += -DUSE_TILE
+ endif
+
+ ifdef DEBUG
+-CFLAGS += -O0 -DDEBUG -ggdb
++CXXFLAGS += -DDEBUG
+ endif
+
+ ifneq (,$(findstring MINGW,$(uname_S)))
+-LDFLAGS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid
++LIBS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid
+ endif
+ ifeq ($(uname_S),Darwin)
+ LDFLAGS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL
+ endif
+ ifeq ($(uname_S),Linux)
+-LDFLAGS += -ldl -lpthread
++LIBS += -ldl -lpthread
+ endif
+
+ # Attempt to use a full compiler name, to make
+@@ -129,10 +129,10 @@ clean:
+
+ distclean: clean
+
+-%.o: %.cc .cflags
+- $(QUIET_HOSTCXX)$(HOSTCXX) $(CFLAGS) -MMD -c $< -o $@
++%.o: %.cc
++ $(QUIET_HOSTLINK)$(HOSTCXX) $(CXXFLAGS) -c $< -o $@
+
+ $(TILEGEN): $(OBJECTS)
+- $(QUIET_HOSTLINK)$(HOSTCXX) $(OBJECTS) -o $@ $(LDFLAGS)
++ $(QUIET_HOSTLINK)$(HOSTCXX) $(CXXFLAGS) $(OBJECTS) -o $@ $(LDFLAGS) $(LIBS)
+
+ .PHONY: all clean distclean
+--
+2.3.5
+
diff --git a/games-roguelike/stone-soup/stone-soup-0.16.2.ebuild b/games-roguelike/stone-soup/stone-soup-0.16.2.ebuild
new file mode 100644
index 00000000000..add955cc5d0
--- /dev/null
+++ b/games-roguelike/stone-soup/stone-soup-0.16.2.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+## TODO
+# add sound support (no sound files)
+
+EAPI=5
+VIRTUALX_REQUIRED="manual"
+inherit eutils gnome2-utils toolchain-funcs games
+
+MY_P="stone_soup-${PV}"
+DESCRIPTION="Dungeon Crawl Stone Soup is a role-playing roguelike game of exploration and treasure-hunting in dungeons"
+HOMEPAGE="http://crawl.develz.org/wordpress/"
+SRC_URI="https://crawl.develz.org/release/stone_soup-${PV}.tar.xz
+ http://dev.gentoo.org/~hasufell/distfiles/${PN}.png
+ http://dev.gentoo.org/~hasufell/distfiles/${PN}.svg"
+
+# 3-clause BSD: mt19937ar.cc, MSVC/stdint.h
+# 2-clause BSD: all contributions by Steve Noonan and Jesse Luehrs
+# Public Domain|CC0: most of tiles
+# MIT: json.cc/json.h, some .js files in webserver/static/scripts/contrib/
+LICENSE="GPL-2 BSD BSD-2 public-domain CC0-1.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug luajit ncurses test +tiles"
+# test is broken
+# see https://crawl.develz.org/mantis/view.php?id=6121
+RESTRICT="test"
+
+RDEPEND="
+ dev-db/sqlite:3
+ luajit? ( >=dev-lang/luajit-2.0.0 )
+ sys-libs/zlib
+ !ncurses? ( !tiles? ( sys-libs/ncurses ) )
+ ncurses? ( sys-libs/ncurses )
+ tiles? (
+ media-fonts/dejavu
+ media-libs/freetype:2
+ media-libs/libpng:0
+ media-libs/libsdl2[opengl,video]
+ media-libs/sdl2-image[png]
+ virtual/glu
+ virtual/opengl
+ )"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ sys-devel/flex
+ virtual/pkgconfig
+ virtual/yacc
+ tiles? (
+ sys-libs/ncurses
+ )"
+
+S=${WORKDIR}/${MY_P}/source
+S_TEST=${WORKDIR}/${MY_P}_test/source
+
+pkg_setup() {
+ games_pkg_setup
+ if use !ncurses && use !tiles ; then
+ ewarn "Neither ncurses nor tiles frontend"
+ ewarn "selected, choosing ncurses only."
+ ewarn "Note that you can also enable both."
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-respect-flags-and-compiler.patch \
+ "${FILESDIR}"/${P}-Use-pkg-config-for-linking-to-ncurses.patch
+
+ rm -r contrib/{fonts,freetype,libpng,pcre,sdl2,sdl2-image,sdl2-mixer,sqlite,zlib} || die
+}
+
+src_compile() {
+ export HOSTCXX=$(tc-getBUILD_CXX)
+
+ # leave DATADIR at the top
+ myemakeargs=(
+ $(usex luajit "" "BUILD_LUA=yes") # luajit is not bundled
+ USE_LUAJIT=$(usex luajit "yes" "")
+ DATADIR="${GAMES_DATADIR}/${PN}"
+ V=1
+ prefix="${GAMES_PREFIX}"
+ SAVEDIR="~/.crawl"
+ $(usex debug "FULLDEBUG=y DEBUG=y" "")
+ CFOPTIMIZE="${CXXFLAGS}"
+ LDFLAGS="${LDFLAGS}"
+ MAKEOPTS="${MAKEOPTS}"
+ AR="$(tc-getAR)"
+ RANLIB="$(tc-getRANLIB)"
+ CC="$(tc-getCC)"
+ CXX="$(tc-getCXX)"
+ PKGCONFIG="$(tc-getPKG_CONFIG)"
+ STRIP=touch
+ )
+
+ if use ncurses || (use !ncurses && use !tiles) ; then
+ emake "${myemakeargs[@]}"
+ # move it in case we build both variants
+ use tiles && { mv crawl "${WORKDIR}"/crawl-ncurses || die ;}
+ fi
+
+ if use tiles ; then
+ emake clean
+ emake "${myemakeargs[@]}" "TILES=y"
+ fi
+}
+
+src_install() {
+ emake "${myemakeargs[@]}" $(usex tiles "TILES=y" "") DESTDIR="${D}" prefix_fp="" bin_prefix="${D}${GAMES_BINDIR}" install
+ [[ -e "${WORKDIR}"/crawl-ncurses ]] && dogamesbin "${WORKDIR}"/crawl-ncurses
+
+ # don't relocate docs, needed at runtime
+ rm -rf "${D}${GAMES_DATADIR}"/${PN}/docs/license
+ dodoc "${WORKDIR}"/${MY_P}/README.{txt,pdf}
+
+ # icons and menu for graphical build
+ if use tiles ; then
+ doicon -s 48 "${DISTDIR}"/${PN}.png
+ doicon -s scalable "${DISTDIR}"/${PN}.svg
+ make_desktop_entry crawl
+ fi
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+
+ if use tiles && use ncurses ; then
+ elog "Since you have enabled both tiles and ncurses frontends"
+ elog "the ncurses binary is called 'crawl-ncurses' and the"
+ elog "tiles binary is called 'crawl'."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}